Notify a Zentail seller about a problem processing an order
You call thissales:orders:fulfillment:selfsales:orders:self
POST
/v1/salesOrder/{orderNumber}/alert
const url = 'https://api.zentail.com/v1/salesOrder/1/alert';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"message":"example","type":"example","resolved":true,"resolution":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.zentail.com/v1/salesOrder/1/alert \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "message": "example", "type": "example", "resolved": true, "resolution": "example" }'Creates or resolves an alert on a salesOrder
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”orderNumber
required
number
Zentail Order Number
Request Body
Section titled “Request Body”Place all of the alert details in a JSON object in the body of the request.
Media typeapplication/json
object
message
Why the alert was raised. Required when resolved is false, and ignored when it is true.
string
type
required
string
resolved
required
boolean
resolution
Why the alert was resolved. Stored on the alert and shown to the seller. Only read when resolved is true.
string
Examplegenerated
{ "message": "example", "type": "example", "resolved": true, "resolution": "example"}Responses
Section titled “ Responses ”Success
Media typeapplication/json
string
Examplegenerated
exampleBad Request
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 400}Permission Denied
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 403}Not Found
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 404}Zentail Error
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string
Example
{ "errorCode": 500}Zentail Error
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 503}